The cirros image was rebuilt against the 3.13.0-83 kernel, drivers e1000e, igbvf...
[packages/trusty/cirros-testvm.git] / cirros-testvm / src-cirros / buildroot-2015.05 / package / supervisor / S99supervisord
diff --git a/cirros-testvm/src-cirros/buildroot-2015.05/package/supervisor/S99supervisord b/cirros-testvm/src-cirros/buildroot-2015.05/package/supervisor/S99supervisord
new file mode 100755 (executable)
index 0000000..0856d65
--- /dev/null
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+mkdir -p /var/log/supervisor
+
+case "$1" in
+       start)
+               echo -n "Starting supervisord: "
+               start-stop-daemon -S -q -p /var/run/supervisord.pid --exec /usr/bin/supervisord
+               echo "done"
+               ;;
+       stop)
+               echo -n "Stopping supervisord: "
+               start-stop-daemon -K -q -p /var/run/supervisord.pid
+               echo "done"
+               ;;
+       restart)
+               "$0" stop
+               sleep 5
+               "$0" start
+               ;;
+       reload)
+               start-stop-daemon -K -q -p /var/run/supervisord.pid -s HUP
+               ;;
+       *)
+               echo "Usage: $0 {start|stop|restart|reload}"
+               exit 1
+esac
+
+exit $?